Get a user
Required scope: users-read OR org-users-read
Get the profile information for a user. Only users visible to the current user may be accessed via this endpoint. Learn more about Visible Users and Connections
Note: Email and phone are sensitive properties and are not included in the response unless the requesting token has the org-users-read scope.
Path Parameters
- Type: integeruser
_id requiredThe unique identifier of a user
Query Parameters
- enumincludeconst:badge_count
Comma delimited list of desired relations or computed values.
When requestingbadge_countfor other users, theorg-users-readscope is required.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/users/{user_id}
curl 'https://api.pronto.io/api/users/123?include=badge_count' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"data": {
"id": 123456,
"external_id": "d747948384aac79d4b9c88129e4835d5",
"first_name": "John",
"last_name": "Smith",
"profile_pic_url": "https://somewhere.pronto.io/files/user/555/profilepic?pronto_time=-62169984000",
"phone": "+18015551234",
"email": "user@example.com",
"role": "user",
"is_online": true,
"last_presence_at": "2026-09-23T18:05:53Z",
"created_at": "2021-07-22T18:05:53Z",
"updated_at": "2021-07-22T18:05:53Z",
"welcome_sent_at": "2021-07-22T18:05:54Z",
"deactivated_at": null
}
}